osl::search::MoveStackRejections Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | List of all members
osl::search::MoveStackRejections Class Reference

`#include <moveStackRejections.h>`

## Public Member Functions
template<osl::Player P>
bool | probe (osl::state::NumEffectState const &state, osl::container::MoveStack const &history, int ply, osl::Move const &m, int alpha, int checkCountOfAltP)

## Static Public Member Functions
template<Player P>
static bool | probe (NumEffectState const &state, MoveStack const &history, int ply, Move const &m, int alpha, int checkCountOfAltP)
| P - 手番(mのplayer)の立場で判別 state - m を実行する前の状態 history - mを含まない過去の記録． ply - 探索開始からの深さ m - チェックする手 alpha - windowのPに取っての下限 checkCountOfAltP - 相手が連続王手の時にいくつ続いたか More...

## Detailed Description

Definition at line 163 of file moveStackRejections.h.

## Member Function Documentation

template<Player P>

static bool osl::search::MoveStackRejections::probe | ( | NumEffectState const & | state,
|  | MoveStack const & | history,
|  | int | ply,
|  | Move const & | m,
|  | int | alpha,
|  | int | checkCountOfAltP
| ) |  |
| static

P - 手番(mのplayer)の立場で判別 state - m を実行する前の状態 history - mを含まない過去の記録． ply - 探索開始からの深さ m - チェックする手 alpha - windowのPに取っての下限 checkCountOfAltP - 相手が連続王手の時にいくつ続いたか

template<osl::Player P>

template bool osl::search::MoveStackRejections::probe< WHITE > | ( | osl::state::NumEffectState const & | state,
|  | osl::container::MoveStack const & | history,
|  | int | ply,
|  | osl::Move const & | m,
|  | int | alpha,
|  | int | checkCountOfAltP
| ) |  |

Definition at line 400 of file moveStackRejections.cc.

References osl::search::StateElements::addMyMove(), osl::search::StateElements::addOpMove(), osl::alt(), osl::search::StateElements::canReject(), osl::search::StandElements::geZero(), osl::Move::isInvalid(), osl::search::StateElements::isLoop(), osl::Move::isNormal(), osl::search::StandElements::isZero(), osl::container::MoveStack::lastMove(), osl::eval::notLessThan(), osl::Move::player(), and osl::search::StateElements::stand.

The documentation for this class was generated from the following files:

- moveStackRejections.h
- moveStackRejections.cc